Use the names of the events when creating or updating a webhook. Make sure the endpoint is publicly accessible
POST
/v1/webhooks/create
const url = 'https://rms.dev.caspeco.net/api/booking/v1/webhooks/create';const options = { method: 'POST', headers: { system: 'example', Authorization: 'Bearer <token>', 'Content-Type': 'application/json' }, body: '{"event":"example","endpoint":"https://example.com","active":true}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://rms.dev.caspeco.net/api/booking/v1/webhooks/create \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --header 'system: example' \ --data '{ "event": "example", "endpoint": "https://example.com", "active": true }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Header Parameters
Section titled “Header Parameters”system
required
string
The system name / database to query
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
event
required
string
endpoint
string format: uri
active
boolean
Examplegenerated
{ "event": "example", "endpoint": "https://example.com", "active": true}Responses
Section titled “Responses”The created webhook
Media typeapplication/json
object
id
integer format: int64
event
string
endpoint
string
active
boolean
created
string format: date-time
modified
string format: date-time
changedBy
string
Examplegenerated
{ "id": 1, "event": "example", "endpoint": "example", "active": true, "created": "2026-04-15T12:00:00Z", "modified": "2026-04-15T12:00:00Z", "changedBy": "example"}